package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.SysMonitor;

import java.util.List;

public interface SysMonitorService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
	PageInfo<SysMonitor> listAsPage(SysMonitor record, Integer pageIndex, Integer pageSize);

    /**
     * 根据实体查询列表
     *
     * @param record
     * @return
     */
    List<SysMonitor> getList(SysMonitor record);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    SysMonitor getById(Long id);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(SysMonitor record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);
    
	
	

	
	
	
	
}
